clang 8.0.0

Macros | Typedefs | Functions | Variables
CheckerRegistry.cpp File Reference
`#include "clang/StaticAnalyzer/Frontend/CheckerRegistry.h"`
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Frontend/FrontendDiagnostic.h"`
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Core/AnalyzerOptions.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SetVector.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/DynamicLibrary.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include "clang/StaticAnalyzer/Checkers/Checkers.inc"`
Include dependency graph for CheckerRegistry.cpp:

Go to the source code of this file.

## Macros
#define | GET_CHECKERS
#define | CHECKER(FULLNAME, CLASS, HELPTEXT, DOC_URI) addChecker(register##CLASS, FULLNAME, HELPTEXT, DOC_URI);

## Typedefs
using | RegisterCheckersFn = void(*)(CheckerRegistry &)

## Functions
static bool | isCompatibleAPIVersion (const char *versionString)
static bool | checkerNameLT (const CheckerRegistry::CheckerInfo &a, const CheckerRegistry::CheckerInfo &b)
static bool | isInPackage (const CheckerRegistry::CheckerInfo &checker, StringRef packageName)

## Variables
static constexpr char | PackageSeparator = '.'

## Macro Definition Documentation

## ◆ CHECKER

#define CHECKER | ( |  | FULLNAME,
|  |  | CLASS,
|  |  | HELPTEXT,
|  |  | DOC_URI
| ) |  | addChecker(register##CLASS, FULLNAME, HELPTEXT, DOC_URI);

## ◆ GET_CHECKERS

#define GET_CHECKERS

## Typedef Documentation

## ◆ RegisterCheckersFn

using RegisterCheckersFn = void (*)(CheckerRegistry &)

Definition at line 30 of file CheckerRegistry.cpp.

## Function Documentation

## ◆ checkerNameLT()

static bool checkerNameLT | ( | const CheckerRegistry::CheckerInfo & | a,
|  | const CheckerRegistry::CheckerInfo & | b
| ) |  |
| static

Definition at line 84 of file CheckerRegistry.cpp.

Referenced by isInPackage(), clang::ento::CheckerRegistry::printHelp(), and clang::ento::CheckerRegistry::printList().

## ◆ isCompatibleAPIVersion()

static bool isCompatibleAPIVersion | ( | const char * | versionString | ) |
| static

Definition at line 32 of file CheckerRegistry.cpp.

References CLANG_ANALYZER_API_VERSION_STRING.

Referenced by clang::ento::CheckerRegistry::CheckerRegistry().

## ◆ isInPackage()

static bool isInPackage | ( | const CheckerRegistry::CheckerInfo & | checker,
|  | StringRef | packageName
| ) |  |
| static

Definition at line 89 of file CheckerRegistry.cpp.

References clang::ento::CheckerRegistry::addChecker(), checkerNameLT(), clang::AnalyzerOptions::CheckersControlList, PackageSeparator, and clang::DiagnosticsEngine::Report().

## Variable Documentation

## ◆ PackageSeparator

constexpr char PackageSeparator = '.'
| static

Definition at line 82 of file CheckerRegistry.cpp.

Referenced by isInPackage().